/* product-grid.css */

.card{
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 20px;
    position: relative;
}

.highlight{
    grid-area: highlight;
    background-image: url(../../images/products/card_imagem.jpg);
}

.sneaker-purple{
    grid-area: sneaker-purple;
    background-image: url(../../images/products/roxo-verde-grid.jpg);
}

.model{
    grid-area: model;
    background-image: url(../../images/products/modelo-feminino.jpg); 
}

.sneaker-color{
    grid-area: sneaker-color;
    background-image: url(../../images/products/futurista-grid.jpg);
}

.sneaker-white{
    grid-area: sneaker-white;
    background-image: url(../../images/products/preto-azul-grid.jpg);
}

.sneaker-silver{
    grid-area: sneaker-silver;
    background-image: url(../../images/products/moderno-grid.jpg);
}

.grid-section{
    display: grid;
    grid-template-areas: 
    "highlight highlight sneaker-purple sneaker-purple"
    "highlight highlight model sneaker-color"
    "sneaker-white sneaker-white model sneaker-silver";
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(3, 300px);
    gap: 30px;
}

.top1-content{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.card-title{
    color: #EDEDED;
    font-size: 1.25rem;
    font-weight: 400;
    margin-bottom: 10px;
}

.card-subtitle{
    color: #EDEDED;
    font-size: 1.5rem;
    font-weight: 400;
    margin-bottom: 20px;
}

.cta-group{
    display: flex;
    gap: 10px;
}

@media screen and (max-width: 768px){
    .grid-section{
        grid-template-columns: 1fr 1fr;
        grid-template-rows: repeat(5, auto);
        grid-template-areas: 
        "highlight highlight"
        "sneaker-white sneaker-white"
        "model sneaker-color"
        "model sneaker-silver"
        "sneaker-purple sneaker-purple";
        max-width: 100%;
        gap: 0.625rem;
    }

    .highlight{
        min-height: 500px;
    }

    .model{
        min-height: 370px;
    }

    .sneaker-white,.sneaker-purple{
        min-height: 190px;
    }

}